Bug 1728828 (sshexport) - Renaming-Review Request: sshexport - Install your ssh keys on remote sites
Summary: Renaming-Review Request: sshexport - Install your ssh keys on remote sites
Keywords:
Status: CLOSED ERRATA
Alias: sshexport
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 17:39 UTC by Björn 'besser82' Esser
Modified: 2019-07-28 00:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-21 06:50:19 UTC
Type: ---
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2019-07-10 17:39:00 UTC
Description:

  This script tries to export ssh public keys to specified sites.
  It will walk the user through generating key pairs if it doesn't
  find any to export.  It handles all the fiddly details, like
  remembering the ssh key file names, updating the authorized_keys
  and making sure local and remote permissions are correct.
  It tells you what it's doing if it has to change anything.


Issues:

  fedora-review shows no obvious issues.  rpmlint is silent.


FAS-User:

  besser82


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport-2.4-0.1.fc31.src.rpm


Additional information:

  This is a renaming review for ssh-installkeys.  Later released versions
  have been renamed to sshexport, which has support for Python 3, also.


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2019-07-10 17:47:48 UTC
Scratch build:  

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36171410


Temporary COPR for testing:

  https://copr.fedorainfracloud.org/coprs/besser82/sshexport

Comment 2 Björn 'besser82' Esser 2019-07-10 21:18:05 UTC
=== Updated package ===

Changelog:

  * Wed Jul 10 2019 Björn Esser <besser82@fedoraproject.org> - 2.4-0.2
  - Small spec file improvements, added verbose comments


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36174083


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport-2.4-0.2.fc31.src.rpm

Comment 3 Björn 'besser82' Esser 2019-07-10 22:02:43 UTC
=== Updated package ===

Changelog:

  * Wed Jul 10 2019 Björn Esser <besser82@fedoraproject.org> - 2.4-0.3
  - Add a small patch to fix the generated manpage


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36174545


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport-2.4-0.3.fc31.src.rpm

Comment 4 Björn 'besser82' Esser 2019-07-11 09:17:33 UTC
=== Updated package ===

Changelog:

  * Thu Jul 11 2019 Björn Esser <besser82@fedoraproject.org> - 2.4-0.4
  - Add Provides and licensing clarification for bundled pexpect


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36182239


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport-2.4-0.4.fc31.src.rpm

Comment 5 Björn 'besser82' Esser 2019-07-12 17:19:28 UTC
=== Updated package ===

Changelog:

  * Fri Jul 12 2019 Björn Esser <besser82@fedoraproject.org> - 2.4-0.5
  - Add actual Python version to bundled Provides


Scratch build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=36206122


Urls:

  Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/sshexport-2.4-0.5.fc31.src.rpm

Comment 6 Miro Hrončok 2019-07-12 17:49:59 UTC
Package Review
==============

Package APPROVED.

Nitpicks:

1) Install your ssh keys on remote sites -> I suggest capitalizing SSH. The same in the %description.

2) The __spec_install_post sorcery around manpgaes is not needed on Fedora, if you ln the uncompressed manpages, the compressing script will handle the links well. However I'm not sure if that works on old RHELs.

3) Unbundle pexpect if possible.

4) I'm unsure about the hardlink, but it is probably fine since both instances are in the same directory

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define has justification
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sshexport-2.4-0.5.fc31.noarch.rpm
          sshexport-2.4-0.5.fc31.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sshexport.noarch: W: invalid-url URL: http://www.catb.org/~esr/sshexport <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
http://www.catb.org/~esr/sshexport/sshexport-2.4.tar.gz :
  CHECKSUM(SHA256) this package     : 087b2b43af4496c3bd7fc1b37f740ee844879222c454cf85adb27131697e0d27
  CHECKSUM(SHA256) upstream package : 087b2b43af4496c3bd7fc1b37f740ee844879222c454cf85adb27131697e0d27


Requires
--------
sshexport (rpmlib, GLIBC filtered):
    /usr/bin/python3



Provides
--------
sshexport:
    bundled(python3-pexpect)
    ssh-installkeys
    sshexport

Comment 7 Gwyn Ciesla 2019-07-12 18:24:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sshexport

Comment 8 Fedora Update System 2019-07-12 18:44:23 UTC
FEDORA-2019-5513893d3d has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5513893d3d

Comment 9 Fedora Update System 2019-07-12 18:44:28 UTC
FEDORA-EPEL-2019-9cc753564e has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9cc753564e

Comment 10 Fedora Update System 2019-07-12 18:44:30 UTC
FEDORA-2019-b1a39cf313 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1a39cf313

Comment 11 Fedora Update System 2019-07-13 00:58:08 UTC
sshexport-2.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b1a39cf313

Comment 12 Fedora Update System 2019-07-13 01:15:59 UTC
sshexport-2.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9cc753564e

Comment 13 Fedora Update System 2019-07-13 01:25:52 UTC
sshexport-2.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e21026b3f7

Comment 14 Fedora Update System 2019-07-13 02:05:51 UTC
sshexport-2.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5513893d3d

Comment 15 Fedora Update System 2019-07-21 06:50:19 UTC
sshexport-2.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-07-21 15:28:13 UTC
sshexport-2.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-07-28 00:30:47 UTC
sshexport-2.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-07-28 00:43:29 UTC
sshexport-2.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.